### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- getActive
- setActive

## Constructors

### constructor

- new default(toolContext: unknown, activePropertyName: string): default

- - Defined in src/misc/ToolActivate.js:35

  A simple object that can be managed by `ngeo.misc.ToolActivateMgr`.

  See our live examples: ../examples/mapquery.html ../examples/toolActivate.html

  ngname

    ngeoToolActivate

  #### Parameters

  - ##### toolContext: unknown

    An object which acts as the context for the tool.

  - ##### activePropertyName: string

    The name of a boolean property on `toolContext` which represents the active state of the tool.

  #### Returns default

## Properties

### getActive

getActive: () => boolean

- Defined in src/misc/ToolActivate.js:41

#### Type declaration

- - (): boolean

  - A getter function to get the active state of the tool.

    #### Returns boolean

    Is active.

### setActive

setActive: (newVal: boolean) => void

- Defined in src/misc/ToolActivate.js:51

#### Type declaration

- - (newVal: boolean): void

  - A setter function to set the active state of the tool.

    #### Parameters

    - ##### newVal: boolean

      New active state.

    #### Returns void

Generated using TypeDoc